## gnumach 1.3.99.dfsg.git20091128

=== debian/changelog ===
gnumach (2:1.3.99.dfsg.git20091128-1) unstable; urgency=low

  * New upstream git snapshot.

  [ Guillem Jover ]
  * Update debian/copyright to point to the git repository.
  * Sync with upstream:
    - debian/patches/05_halt_on_panic_flag.patch: Remove, merged upstream.
    - debian/patches/12_sis900.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/16_ide_multsect.patch: Likewise.
    - debian/patches/20_xmm_support.patch: Likewise.
    - debian/patches/05_halt_on_panic_flag.patch: Refresh.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.
  * Do not include ChangeLog.0*, they are not shipped upstream anymore.
  * Remove Marcus Brinkmann from Uploaders. Closes: #503568

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Nov 2009 19:14:15 +0100

gnumach (2:1.3.99.dfsg.cvs20090220-2) unstable; urgency=low

  [ Guillem Jover ]
  * Change gnumach-dbg section to debug.
  * Change source and gnumach section to kernel.
  * Now using Standards-Version 3.8.3.

  [ Samuel Thibault ]
  * debian/patches/14_alloc_params.patch: reserve 128MiB for virtual memory
    space.  Fixes boot with more than ~900MiB.
  * debian/patches/20_mmx_support.patch: rename to 20_xmm_support.patch and
    fix comment: the added support is XMM registers, not MMX.
  * debian/control: Add myself as uploader.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Jun 2009 22:23:13 +0200

gnumach (2:1.3.99.dfsg.cvs20090220-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Do not panic in fpintr if we receive the interrupt twice in the same
      thread. (Closes: #447036)

  [ Samuel Thibault ]
  * Remove kern/mach_param.h patch from debian/patches/14_alloc_params.patch,
    increase zone_map_size and maximum number of cached objects.

  [ Guillem Jover ]
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Remove XC- prefix from Package-Type field.
  * Sync with upstream:
    - debian/patches/00_clean_gfdl.patch: Refresh.
    - debian/patches/05_halt_on_panic_flag.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
    - debian/patches/15_mem_obj_proxy.patch: Likewise.
    - debian/patches/20_mmx_support.patch: Likewise.

 -- Guillem Jover <guillem@debian.org>  Fri, 20 Feb 2009 03:27:59 +0200

gnumach (2:1.3.99.dfsg.cvs20080708-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - Fix zalloc alignment support, and thus alignment of FPU save area.
      (Closes: #440068)
    - Enable multicast for IPv6.
    - Enable Bus Mastering on triton chipsets.
    - Fix gcc-4.3 non-inlining. (Closes: #474902)
    - Fix direction flag on syscall entry. (Closes: #469566)
    - Fix initialization of RTL8139. (Closes: #469566)

  [ Samuel Thibault ]
  * Append more agressive caching parameter to
    debian/patches/14_alloc_params.patch.
  * New patch to enable IDE multiple sector I/O when the drive can do it.
    - debian/patches/16_ide_multsect.patch
  * Clean debian/tmp-dbg.

  [ Guillem Jover ]
  * Add Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Remove repository information from debian/copyright as it is now on
    debian/control.
  * Refer to GPL-2 from common-licenses instead of just GPL.
  * Add a README.source.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Remove DPATCHLEVEL variable from patches.
  * Change source and binary packages from Section base to admin.
  * Mangle the Debian version in the watch file.
  * Sync with upstream:
    - debian/patches/00_clean_gfdl.patch: Refresh.
    - debian/patches/05_halt_on_panic_flag.patch: Likewise.
    - debian/patches/13_ide_dma.patch: Likewise.
    - debian/patches/14_alloc_params.patch: Likewise.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Merge check targets into build targets.
  * Clean up debian/rules:
    - Run autoreconf on-demand, which fixes a FTBFS when built twice in a
      row. (Closes: #424353)
    - Support parallel builds by moving 'patch' dependency from
      the build to a new pre-patch-* targets that serializes configuration.
  * Properly clean up autogenerated cruft.
  * Add Build-Depends on autoconf and automake now that we call autoreconf at
    build time.

 -- Guillem Jover <guillem@debian.org>  Tue, 08 Jul 2008 16:54:06 +0300

gnumach (2:1.3.99.dfsg.cvs20070809-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Add an autoregen target to ease regenerating the autoconf patch.
  * Use binary:Version instead of the deprecated Source-Version substvar.
  * Do not use configure file stamps, use config.status instead.

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Aug 2007 01:45:22 +0300

gnumach (2:1.3.99.dfsg.cvs20070526-1) unstable; urgency=low

  * New upstream CVS snapshot.
    - debian/patches/41_io_unlock_ioremove.patch: Removed, fixed upstream.
    - debian/patches/42_disable_ioperm.patch: Likewise.
    - debian/patches/43_debvice_port_fix.patch: Likewise.
    - debian/patches/44_more_ports.patch: Likewise.
    - debian/patches/45_io_per_task.patch: Likewise.
    - debian/patches/46_io_device.patch: Likewise.
    - debian/patches/20_mmx_support.patch: Sync.
    - debian/patches/90_autoconf_autogen.patch: Regenerated.
  * Temporarily restore support for memory mapping through the iopl device,
    so that stuff like X can work again. (Closes: #421135)
    - debian/patches/40_iopl_mmap.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@labri.fr>.

 -- Guillem Jover <guillem@debian.org>  Sat, 26 May 2007 10:01:54 +0300

gnumach (2:1.3.99.dfsg.cvs20070405-1) unstable; urgency=low


