=== debian/control ===
Source: gnumach
Section: kernel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>,
 Samuel Thibault <sthibault@debian.org>, Neal H. Walfield <neal@debian.org>,
 Jeff Bailey <jbailey@raspberryginger.com>
Homepage: http://www.gnu.org/software/hurd/gnumach.html
Vcs-Browser: http://svn.debian.org/wsvn/pkg-hurd/gnumach/
Vcs-Svn: svn://svn.debian.org/pkg-hurd/gnumach/trunk/
Build-Depends: debhelper (>= 7), mig, sharutils,
 autoconf, automake
Standards-Version: 3.8.3

Package: gnumach
Section: kernel
Priority: optional
Architecture: hurd-i386 i386 kfreebsd-i386 knetbsd-i386
Description: The GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd.

Package: gnumach-udeb
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: hurd-i386 i386 kfreebsd-i386 knetbsd-i386
Description: The GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd.

Package: gnumach-dbg
Section: debug
Priority: extra
Provides: gnumach
Architecture: hurd-i386 i386 kfreebsd-i386 knetbsd-i386
Depends: gnumach (= ${binary:Version})
Description: The GNU version of the Mach microkernel for debugging
 This is the Utah Mach microkernel used by the Hurd.
 .
 The version in this package is identical to the version found in the
 gnumach package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-dev
Section: devel
Priority: optional
Architecture: hurd-i386 i386 kfreebsd-i386 knetbsd-i386
Description: The GNU version of the Mach microkernel
 These are the header files for the Utah Mach microkernel used by the Hurd.
