## gnumach 1.3.99.dfsg.git20100732

=== debian/changelog ===
gnumach (2:1.3.99.dfsg.git20100732-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot.
  * debian/control
    - (gnumach-udeb): Add XC- prefix to Package-Type. Add Provides:
    kernel-image, *-modules.
    - Remove duplicate priority and section fields.
    - Add ${misc:Depends}.
  * debian/patches/40_iopl_mem.patch: Add patch, not enabled yet, to be used
    instead of 40_iopl_mmap.patch when a new snapshot is taken.
  * debian/patches/40_iopl_mmap.patch: Add a "mem" alias for the iopl device,
    since that is what upstream provides.
  * Now using Standards-Version 3.9.1 (no changes needed).
  * debian/rules: Remove enable-sis900 as it's now the default.
  * debian/patches/50_initrd.patch: New patch to add ramdisk support for d-i.
  * debian/control: Remove Neal and Jeff from Uploaders (Closes: #565164).

  [ Guillem Jover ]
  * Use any-i386 in binary package Architecture fields.
  * Update Vcs fields to point to the new git repositories.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Jul 2010 17:35:20 +0200
