=== debian/control ===
Source: gnumach
Section: kernel
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/gnumach.html
Vcs-Browser: http://git.debian.org/?p=pkg-hurd/gnumach.git
Vcs-Git: git://git.debian.org/pkg-hurd/gnumach.git
Build-Depends: debhelper (>= 7), mig, sharutils,
 autoconf, automake
Standards-Version: 3.9.1

Package: gnumach
Architecture: any-i386
Depends: ${misc:Depends}
Description: The GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd.

Package: gnumach-udeb
XC-Package-Type: udeb
Provides: kernel-image, floppy-modules, ide-modules, input-modules, nic-modules, nic-pcmcia-modules, nic-wireless-modules, pcmcia-modules, scsi-modules, serial-modules
Section: debian-installer
Architecture: any-i386
Depends: ${misc:Depends}
Description: The GNU version of the Mach microkernel
 This is the Utah Mach microkernel used by the Hurd.

Package: gnumach-dbg
Section: debug
Priority: extra
Provides: gnumach
Architecture: any-i386
Depends: ${misc:Depends}, gnumach (= ${binary:Version})
Description: The GNU version of the Mach microkernel for debugging
 This is the Utah Mach microkernel used by the Hurd.
 .
 The version in this package is identical to the version found in the
 gnumach package, except that it is not stripped and has the
 kernel-level debugger compiled in.

Package: gnumach-dev
Section: devel
Architecture: any-i386
Depends: ${misc:Depends}
Description: The GNU version of the Mach microkernel
 These are the header files for the Utah Mach microkernel used by the Hurd.
