=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	CFLAGS += -O2
 endif
 
-drivers := \
-	--enable-sis900
+drivers := 
 
 configure: configure.ac
 	autoreconf -fi
