## gnumach 1.3.99.dfsg.git20111010

=== debian/changelog ===
gnumach (2:1.3.99.dfsg.git20111010-1) unstable; urgency=low

  * New upstream snapshot.
    - debian/patches/50_initrd.patch: Refresh.
  * debian/control:
    - Do not make -dbg package depend on the non-dbg packages.
    - Make gnumach-image-* packages depend on gnumach-common
      (Closes: Bug#632445).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Oct 2011 21:53:25 +0000

gnumach (2:1.3.99.dfsg.git20110805-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control: build udebs on hurd-i386 only.
  * debian/patches/13_ide_dma.patch: Do not stop DMA before reading its
    status.
  * debian/rules: Add prerm, preinst, postrm, postinst to -dbg kernels too, to
    update grub list.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Aug 2011 11:41:13 +0000

gnumach (2:1.3.99.dfsg.git20110609-1) unstable; urgency=low

  * New upstream snapshot
  * Bump Standards-Version to 3.9.2 (no change needed)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Jun 2011 22:50:30 +0000

gnumach (2:1.3.99.dfsg.git20110305-1) unstable; urgency=low

  [ Samuel Thibault ]
  * New upstream snapshot
    - debian/patches/50_initrd.patch: Refresh.
  * debian/rules: Add rules to build Xen variants of gnumach.
  * debian/source/options: Enable bz2 compression.
  * debian/patches/60_bigmem.patch: Add patch to support almost up to 2GiB
    memory.
  * debian/rules: Rename /boot/gnumach* into
    /boot/gnumach-1.3.99-{xen-,}486{,-dbg}
  * debian/control:
    - Rename gnumach{,-dbg} into gnumach-image-1.3.99-486{,-dbg} (except in
    udebs).
    - Add gnumach-image-1.3.99-xen-486{,-dbg} containing Xen variants of gnumach
    - Add gnumach-common to contain msgids and info documentation shared by
    gnumach-image-1.3.99 packages, which now depend on it and replace the
    previous gnumach package.
    - Add gnumach-image-{xen-,}486, which depend on
    gnumach-image-1.3.99-{xen-,}486.
    - Re-add gnumach{,-dbg} packages, which depend on gnumach-image-486 and
    gnumach-image-1.3.99-486-dbg, make these packages break grub-pc versions
    before the one which generate menu entries for all /boot/gnumach* files.
    - Rename gnumach-udeb into kernel-image-1.3.99-486-di.
    - Add kernel-image-1.3.99-xen-486-di.
    - Use Package-Type instead of XC-Package-Type.
    - Make gnumach packages break glibc versions before the one which can cope
    with > 1GiB memory support.
    - Fix upstream URL (Closes: Bug#604257).
  * debian/rules: Apply package renames in $(pkg{,_xen,_udeb,_dbg,_xen_dbg).
  * debian/gnumach*.{install,docs}: Rename accordingly.
  * debian/patches/11_ignore_CSIn.patch: Ignore \E[6n emited by busybox.
  * debian/gnumach-image.{preinst,postinst,prerm,postrm}: Add script to get
    e.g. update-grub called.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Jul 2010 17:35:20 +0200
