## gnumach 1.3.99.dfsg.git20120219

=== debian/changelog ===
gnumach (2:1.3.99.dfsg.git20120219-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/control:
    - Do not make gnumach-dbg depend on gnumach.
    - Remove article in synopsis.
    - Set Multi-Arch: foreign for gnumach-common.
  * debian/rules:
    - Add stamp files, and build-indep and build-arch targets.
    - Pass -fno-omit-frame-pointer for -dbg builds, to fix kernel debugger
      traces & co.
    - Enable parallel build.
  * debian/patches/70_dde.patch: Add experimental support for irq passing and
    physical memory allocation for DDE. Also adds nonetdev boot parameter to
    disable network device drivers.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Feb 2012 00:32:41 +0000
