=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,17 @@
 	CFLAGS += -O2
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+DEB_PARALLEL_JOBS ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+ifneq (,$(DEB_PARALLEL_JOBS))
+MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
+endif
+
 drivers := 
 
 common_configure := \
-		CFLAGS="$(CFLAGS)" \
 		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--exec-prefix=/
@@ -57,6 +64,7 @@
 	
 	-mkdir build
 	cd build && ../configure $(drivers) \
+		CFLAGS="$(CFLAGS)" \
 		$(common_configure)
 
 build-xen/config.status: configure
@@ -64,6 +72,7 @@
 	
 	-mkdir build-xen
 	cd build-xen && ../configure \
+		CFLAGS="$(CFLAGS)" \
 		$(common_configure) \
 		--enable-platform=xen
 
@@ -72,6 +81,7 @@
 	
 	-mkdir build-dbg
 	cd build-dbg && ../configure --enable-kdb $(drivers) \
+		CFLAGS="$(CFLAGS) -fno-omit-frame-pointer" \
 		$(common_configure) \
 
 build-xen-dbg/config.status: configure
@@ -79,12 +89,15 @@
 	
 	-mkdir build-xen-dbg
 	cd build-xen-dbg && ../configure --enable-kdb \
+		CFLAGS="$(CFLAGS) -fno-omit-frame-pointer" \
 		$(common_configure) \
 		--enable-platform=xen
 
-build: build-gnumach-std build-gnumach-xen build-gnumach-dbg build-gnumach-xen-dbg
-
-build-gnumach-std: build/config.status
+build-arch: build/stamp build-xen/stamp build-dbg/stamp build-xen-dbg/stamp
+build-indep: build-arch
+build: build-arch build-indep
+
+build/stamp: build/config.status
 	dh_testdir
 	
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -92,8 +105,9 @@
 else
 	$(MAKE) -C build check
 endif
-
-build-gnumach-xen: build-xen/config.status
+	touch $@
+
+build-xen/stamp: build-xen/config.status
 	dh_testdir
 	
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -101,8 +115,9 @@
 else
 	$(MAKE) -C build-xen check
 endif
-
-build-gnumach-dbg: build-dbg/config.status
+	touch $@
+
+build-dbg/stamp: build-dbg/config.status
 	dh_testdir
 	
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -110,8 +125,9 @@
 else
 	$(MAKE) -C build-dbg check
 endif
-
-build-gnumach-xen-dbg: build-xen-dbg/config.status
+	touch $@
+
+build-xen-dbg/stamp: build-xen-dbg/config.status
 	dh_testdir
 	
 ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -119,6 +135,7 @@
 else
 	$(MAKE) -C build-xen-dbg check
 endif
+	touch $@
 
 clean:
 	dh_testdir
@@ -227,6 +244,6 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-.PHONY: build build-gnumach-std build-gnumach-xen build-gnumach-dbg build-gnumach-xen-dbg clean
+.PHONY: build build-arch build-indep clean
 .PHONY: install binary binary-indep binary-arch
