## gnumach 1.3.99.dfsg.git20120610

=== debian/changelog ===
gnumach (2:1.3.99.dfsg.git20120610-1) unstable; urgency=low

  * New upstream snapshot.
  * rules: Disable net, pcmcia and wireless groups
  * control:
    - Do not provide nic-modules, nic-pcmcia-modules, nic-wireless-modules
    and pcmcia-modules any more.
    - Break old hurd package versions, to provide smooth network driver
    transition.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Jun 2012 23:36:00 +0200

gnumach (2:1.3.99.dfsg.git20120505-1) unstable; urgency=low

  * New upstream snapshot.
  * control: Bump Standards-Version to 3.9.3 (no changes).
  * patches/50_initrd.patch: Refresh.
  * patches/60_bigmem.patch: Also update the kernel/user addresses limit.
  * patches/70_dde.patch: Fix erroneous prototype.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 May 2012 13:22:36 +0200
