=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Git: git://git.debian.org/pkg-hurd/gnumach.git
 Build-Depends: debhelper (>= 7), mig, sharutils,
  autoconf, automake
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: gnumach
 Architecture: any-i386
@@ -49,7 +49,7 @@
 Architecture: any-i386
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.10.1-3)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
 Description: GNU version of the Mach microkernel
  This is the Utah Mach microkernel used by the Hurd.
 
@@ -57,7 +57,7 @@
 Architecture: any-i386
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.10.1-3)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
 Description: GNU version of the Mach microkernel for Xen
  This is the Utah Mach microkernel used by the Hurd.
  .
@@ -66,7 +66,7 @@
 Package: kernel-image-1.3.99-486-di
 XB-Kernel-Version: 1.3.99-486
 Package-Type: udeb
-Provides: kernel-image, floppy-modules, ide-modules, input-modules, nic-modules, nic-pcmcia-modules, nic-wireless-modules, pcmcia-modules, scsi-modules, serial-modules
+Provides: kernel-image, floppy-modules, ide-modules, input-modules, scsi-modules, serial-modules
 Section: debian-installer
 Architecture: hurd-i386
 Depends: ${misc:Depends}, hurd-udeb
@@ -78,7 +78,7 @@
 Package: kernel-image-1.3.99-xen-486-di
 XB-Kernel-Version: 1.3.99-xen-486
 Package-Type: udeb
-Provides: kernel-image, input-modules, nic-modules
+Provides: kernel-image, input-modules
 Section: debian-installer
 Architecture: hurd-i386
 Depends: ${misc:Depends}, hurd-udeb
@@ -93,6 +93,7 @@
 Provides: gnumach
 Architecture: any-i386
 Depends: ${misc:Depends}, gnumach-common
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
 Description: GNU version of the Mach microkernel for debugging
  This is the Utah Mach microkernel used by the Hurd.
  .
@@ -106,6 +107,7 @@
 Provides: gnumach
 Architecture: any-i386
 Depends: ${misc:Depends}, gnumach-common
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
 Description: GNU version of the Mach microkernel for Xen for debugging
  This is the Utah Mach microkernel used by the Hurd.
  .
