=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,10 @@
 common_configure := \
 		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
-		--exec-prefix=/
+		--exec-prefix=/ \
+		--disable-net-group \
+		--disable-pcmcia-group \
+		--disable-wireless-group
 
 configure: configure.ac
 	autoreconf -fi
@@ -63,7 +66,7 @@
 	dh_testdir
 	
 	-mkdir build
-	cd build && ../configure $(drivers) \
+	cd build && PACKAGE_VERSION_SUFFIX=-486 ../configure $(drivers) \
 		CFLAGS="$(CFLAGS)" \
 		$(common_configure)
 
@@ -71,7 +74,7 @@
 	dh_testdir
 	
 	-mkdir build-xen
-	cd build-xen && ../configure \
+	cd build-xen && PACKAGE_VERSION_SUFFIX=-xen-486 ../configure \
 		CFLAGS="$(CFLAGS)" \
 		$(common_configure) \
 		--enable-platform=xen
@@ -80,7 +83,7 @@
 	dh_testdir
 	
 	-mkdir build-dbg
-	cd build-dbg && ../configure --enable-kdb $(drivers) \
+	cd build-dbg && PACKAGE_VERSION_SUFFIX=-486-dbg ../configure --enable-kdb $(drivers) \
 		CFLAGS="$(CFLAGS) -fno-omit-frame-pointer" \
 		$(common_configure) \
 
@@ -88,7 +91,7 @@
 	dh_testdir
 	
 	-mkdir build-xen-dbg
-	cd build-xen-dbg && ../configure --enable-kdb \
+	cd build-xen-dbg && PACKAGE_VERSION_SUFFIX=-xen-486-dbg ../configure --enable-kdb \
 		CFLAGS="$(CFLAGS) -fno-omit-frame-pointer" \
 		$(common_configure) \
 		--enable-platform=xen
